#include "TwistedPairDelay.h"

namespace cosi {

namespace models {

namespace wiredbas {

TwistedPairDelay::TwistedPairDelay() {
}

TwistedPairDelay::~TwistedPairDelay() {
}

RealDelay TwistedPairDelay::Get(WiringPath pPath){
	return RealDelay(GetValue(pPath)) ;
}

double TwistedPairDelay::GetValue(WiringPath pPath){
	//5.5 nanosecond per meter
	return (pPath.Length()*5.5e-9) ;
}

}
}
}
